#include <stdio.h>
#include <stdlib.h>

int zaokruzivanje(float x)
{
    int i;
    for(i=0;i<x;i++);
    return i;
}

int main()
{
    long long L, R, n=0;
    float p, q, r;
    scanf("%f %f %f %lld %lld", &p, &q, &r, &L, &R);

    for(long long i=L;i<=R;i++)
        if(zaokruzivanje(i/p)+zaokruzivanje(i/q)+zaokruzivanje(i)/r)==i)
            n++;

    printf("%lld", n);
    return 0;
}